GDCM: gdcm::SegmentHelper::BasicCodedEntry Struct Reference

GDCM 3.2.7

Public Member Functions | Public Attributes | List of all members
gdcm::SegmentHelper::BasicCodedEntry Struct Reference

This structure defines a basic coded entry with all of its attributes. More...

`#include <gdcmSegmentHelper.h>`

Collaboration diagram for gdcm::SegmentHelper::BasicCodedEntry:
[legend]

## Public Member Functions
| BasicCodedEntry ()
| Constructor.
| BasicCodedEntry (const char *a_CV, const char *a_CSD, const char *a_CM)
| constructor which defines type 1 attributes.
| BasicCodedEntry (const char *a_CV, const char *a_CSD, const char *a_CSV, const char *a_CM)
| constructor which defines attributes.
bool | IsEmpty (const bool checkOptionalAttributes=false) const
| Check if each attributes of the basic coded entry is defined.

## Public Attributes
std::string | CM
| Coding Scheme Version attribute.
std::string | CSD
| Code Value attribute.
std::string | CSV
| Coding Scheme Designator attribute.
std::string | CV

## Detailed Description

This structure defines a basic coded entry with all of its attributes.

See also
  PS 3.3 section 8.8.

## Constructor & Destructor Documentation

## ◆ BasicCodedEntry() [1/3]

gdcm::SegmentHelper::BasicCodedEntry::BasicCodedEntry | ( |  | ) |
| inline

Constructor.

References CM, CSD, CSV, and CV.

## ◆ BasicCodedEntry() [2/3]

gdcm::SegmentHelper::BasicCodedEntry::BasicCodedEntry | ( | const char * | a_CV,
|  | const char * | a_CSD,
|  | const char * | a_CM )
| inline

constructor which defines type 1 attributes.

References CM, CSD, CSV, and CV.

## ◆ BasicCodedEntry() [3/3]

gdcm::SegmentHelper::BasicCodedEntry::BasicCodedEntry | ( | const char * | a_CV,
|  | const char * | a_CSD,
|  | const char * | a_CSV,
|  | const char * | a_CM )
| inline

constructor which defines attributes.

References CM, CSD, CSV, and CV.

## Member Function Documentation

## ◆ IsEmpty()

bool gdcm::SegmentHelper::BasicCodedEntry::IsEmpty | ( | const bool | checkOptionalAttributes = false | ) | const

Check if each attributes of the basic coded entry is defined.

Parameters

  checkOptionalAttributes | Check also type 1C attributes.

## Member Data Documentation

## ◆ CM

std::string gdcm::SegmentHelper::BasicCodedEntry::CM

Coding Scheme Version attribute.

Referenced by BasicCodedEntry(), BasicCodedEntry(), and BasicCodedEntry().

## ◆ CSD

std::string gdcm::SegmentHelper::BasicCodedEntry::CSD

Code Value attribute.

Referenced by BasicCodedEntry(), BasicCodedEntry(), and BasicCodedEntry().

## ◆ CSV

std::string gdcm::SegmentHelper::BasicCodedEntry::CSV

Coding Scheme Designator attribute.

Referenced by BasicCodedEntry(), BasicCodedEntry(), and BasicCodedEntry().

## ◆ CV

std::string gdcm::SegmentHelper::BasicCodedEntry::CV

Referenced by BasicCodedEntry(), BasicCodedEntry(), and BasicCodedEntry().

The documentation for this struct was generated from the following file:

- gdcmSegmentHelper.h